Bug 240588 - texttopaps and wrap=false
Summary: texttopaps and wrap=false
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: paps   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 520590
TreeView+ depends on / blocked
 
Reported: 2007-05-18 16:38 UTC by Tim Waugh
Modified: 2009-09-01 10:05 UTC (History)
1 user (show)

Fixed In Version: 0.6.6-20.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 520590 (view as bug list)
Environment:
Last Closed: 2007-07-05 19:19:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2007-05-18 16:38:08 UTC
Description of problem:
When using the texttopaps filter with cups, the 'wrap=false' option does not
work as expected.

Version-Release number of selected component (if applicable):
paps-0.6.6-19.fc6

How reproducible:
100%

Steps to Reproduce:
1. perl -e 'print "012345678 "x9 . "\n"' |\
   /usr/lib/cups/filter/texttopaps 1 tim '' 1 'wrap=false' > out.ps
2. evince out.ps
  
Actual results:
Two lines shown.

Expected results:
Only one line shown, with the excess columns not wrapped. (compare with 'texttops')

Additional info:
Problem report seen on the cups mailing list.

Comment 1 Akira TAGOH 2007-05-30 03:59:32 UTC
Hmm, it looks good to me. actually I can see only one line with the above
testcase and if I specify 'wrap=true' instead of 'wrap=false', I can see two lines.

Comment 2 Tim Waugh 2007-05-30 09:24:12 UTC
Did you run the test case exactly as written?  If there are no spaces in the
input you will see only one line, but if there are spaces (as in the test case
above), you will see two.

Comment 3 Akira TAGOH 2007-05-30 09:34:58 UTC
Okay, the result seems to depend on the locale (correctly probably the font). I
can confirm this with LANG=en_US now.

Comment 4 Fedora Update System 2007-06-07 15:56:23 UTC
paps-0.6.6-20.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Tim Waugh 2007-06-08 08:42:54 UTC
Fix confirmed in 0.6.6-20.fc7.  Thanks!

Comment 6 Fedora Update System 2007-07-05 19:19:01 UTC
paps-0.6.6-20.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.